using System;

namespace HelloWorld
{
	public class Program
	{
		public static void Main(string[] args)
		{
			string []s = Console.ReadLine().Split();
        int a=int.Parse(s[0]);
        int b=int.Parse(s[1]);
        int proso=0;
            string []stalaktiti_citanje = Console.ReadLine().Split();
            int [] stalaktiti = new int [a];
            for (int i = 0; i < a; i++)
                {
                    stalaktiti[i]=int.Parse(stalaktiti_citanje[i]);
                }
                
                
                for (int i=0; i<a; i++)
                {
                  
                  if (stalaktiti[i]<=b) 
                {
                         Console.WriteLine(i+1);
                         proso=1;
                         break;
                }   
                
                }
                if (proso==0)
                Console.WriteLine("-1");
		}
	}
}